Bug 850258 - Introduce new systemd-rpm macros in openvswitch spec file
Introduce new systemd-rpm macros in openvswitch spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openvswitch (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:57 EDT by Lukáš Nykrýn
Modified: 2014-06-18 04:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:28:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:57:06 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Tomas Hozza 2012-08-23 05:09:03 EDT
Fixed in openvswitch-1.7.0-2.fc18.
Comment 2 Tomas Hozza 2012-10-16 02:17:46 EDT
The following Requires need to be changed spec file: 

Requires(post):  systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

to:

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

As I don't have commit permissions any more, I can't do it.
Thanks.
Comment 3 Fedora Update System 2012-10-16 04:07:56 EDT
openvswitch-1.7.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openvswitch-1.7.1-3.fc18
Comment 4 Fedora Update System 2012-10-16 13:43:33 EDT
Package openvswitch-1.7.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openvswitch-1.7.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16226/openvswitch-1.7.1-3.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 11:29:00 EST
openvswitch-1.7.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.